org.keycloak.models

## Interface RoleModel

- All Known Implementing Classes:
    RoleAdapter, RoleAdapter, RoleAdapter

      public interface RoleModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCompositeRole(RoleModel role)`
    `Set<RoleModel>` | `getComposites()`
    `RoleContainerModel` | `getContainer()`
    `String` | `getContainerId()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `hasRole(RoleModel role)`
    `boolean` | `isClientRole()`
    `boolean` | `isComposite()`
    `boolean` | `isScopeParamRequired()`
    `void` | `removeCompositeRole(RoleModel role)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setScopeParamRequired(boolean scopeParamRequired)`

- - ### Method Detail

    - #### getName

          String getName()

    - #### getDescription

          String getDescription()

    - #### setDescription

          void setDescription(String description)

    - #### getId

          String getId()

    - #### setName

          void setName(String name)

    - #### isScopeParamRequired

          boolean isScopeParamRequired()

    - #### setScopeParamRequired

          void setScopeParamRequired(boolean scopeParamRequired)

    - #### isComposite

          boolean isComposite()

    - #### addCompositeRole

          void addCompositeRole(RoleModel role)

    - #### removeCompositeRole

          void removeCompositeRole(RoleModel role)

    - #### getComposites

          Set<RoleModel> getComposites()

    - #### isClientRole

          boolean isClientRole()

    - #### getContainerId

          String getContainerId()

    - #### getContainer

          RoleContainerModel getContainer()

    - #### hasRole

          boolean hasRole(RoleModel role)

Copyright © 2016 JBoss by Red Hat. All rights reserved.